/*
Theme Name:     Sokeva
Theme URI:      n/a
Template:       kadence
Author:         Digihaavi Oy
Author URI:     http://www.digihaavi.fi
Description:    Child Theme Description
Version:        1.0
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/

/* Styles applied by Generaxion */
.kadence-column507_ea021c-e1 > .kt-inside-inner-col {
  background-color: transparent !important;
}

.footer-widget-area .gform_wrapper {
  border-bottom: 1px solid #000;
  padding-bottom: 1rem;
}

  .footer-widget-area .gform_wrapper .gform_description {
    padding-left: 1rem;
    padding-right: 1rem;
  }
  
  .footer-widget-area .gform_wrapper form .gfield--type-email {
    text-align: left;
    width: 610px;
  }

    .footer-widget-area .gform_wrapper form .gfield--type-email input {
      width: 100%;
    }
  
    .footer-widget-area .gform_wrapper form .gfield--type-email .validation_message {
      text-align: center;
    }

  .footer-widget-area .gform_wrapper form .gform_footer {
    max-width: 610px;
    margin: 0 auto;
    justify-content: right;
    padding-top: 1rem;
    padding-bottom: 1rem;
  }  
  
    .footer-widget-area .gform_wrapper form .gform_footer input {  
      padding-top: 0.625rem;
      padding-bottom: 0.625rem;
      background-color: var(--global-palette-highlight) !important;
    }
    
    .footer-widget-area .gform_wrapper form .gfield_required {
      margin-left: 0.75rem;
    }
  
  .footer-widget-area .gform_wrapper form .gform_body .gform_fields {
    align-items: start;
    display: flex;
    flex-flow: column;
    align-items: center;    
  }
  
  .footer-widget-area .gform_confirmation_wrapper {
    border-top: 1px solid #000;
    padding-top: 2rem;  
    padding-bottom: 1rem;
  }
  
  .footer-widget-area .gform-field-label a {
    text-decoration: underline;
    color: var(--global-palette-highlight);
  }
  
  .footer-widget-area .gform-field-label a:hover {
    text-decoration: none;
  }
  
@media only screen and (max-width: 640px) {
  .footer-widget-area .gform_wrapper.gravity-theme .gfield input.medium {
    width: 100%;
  }
  
  .footer-widget-area .gform_wrapper form .gfield--type-email {
    width: 100%;
  }
  
  .footer-widget-area .gform_wrapper form .gform_footer {
    max-width: none;
    width: 100% !important;
    display: block !important;
  }  

    .footer-widget-area .gform_wrapper form .gform_footer input {
      width: 100% !important;
      display: block !important;
    }
  
  .footer-widget-area .gform_wrapper.gravity-theme .gform_footer input {
    width: 100%; 
  }
}
  